'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ColorGenerator;

var _d3Scale = require('d3-scale');

var _d3Scale2 = _interopRequireDefault(_d3Scale);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _marked = [ColorGenerator].map(regeneratorRuntime.mark);

var GOLDEN_RATIO = (1 + Math.sqrt(5)) / 2;
var GOLDEN_ANGLE = (4 - 2 * GOLDEN_RATIO) * Math.PI;

function ColorGenerator() {
  var i, scale;
  return regeneratorRuntime.wrap(function ColorGenerator$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          i = 0;
          scale = _d3Scale2.default.scaleRainbow();

        case 2:
          if (!true) {
            _context.next = 7;
            break;
          }

          _context.next = 5;
          return scale(Math.abs(Math.sin(GOLDEN_ANGLE * ++i)));

        case 5:
          _context.next = 2;
          break;

        case 7:
        case 'end':
          return _context.stop();
      }
    }
  }, _marked[0], this);
}